NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.AddendumSectionBuilder Class Reference

Represents a NXOpen.Die.AddendumSectionBuilder which is used to create or edit an addendum section. More...

Inheritance diagram for NXOpen.Die.AddendumSectionBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SectionLocationType { AtPoint, AtPlane, WithCurve }
 The settings indicating the location of the section being created. More...
 
enum  SectionOrientationType {
  Default, ThreeDPerpendicular, Conjugate, Isoparametric,
  IncidentEdge, Blank
}
 The settings to indicate the section orientation. More...
 
enum  SectionShapeType {
  Basic, DrawBar, Simple, Channel,
  Blend, Extension, System, UserDefined,
  Reuse, Blank
}
 The settings to indicate the section shape. More...
 
enum  SegmentParameterType { Length, Angle, Radius, ArcLength }
 The settings to indicate which parameter of the segment to lock. More...
 
enum  SegmentType {
  Plus, Punch, FirstStretchWall, Reverse,
  TrimLedge, DiePunch, SecondStretchWall, DieReverse,
  FlatToBead
}
 The settings to indicate the segment type to update. More...
 
enum  SurfaceBuildType {
  NoSurface, Sectional, CurveMesh, ChannelTunnelCap,
  MultipleFaceBlend, WallsOnly, DiskFaceBlend, SphereFaceBlend
}
 The settings to indicate the surface type. More...
 

Public Member Functions

unsafe void ChangeSectionPlane (NXOpen.Curve section, NXOpen.Direction plane)
 Changes the section orientation. More...
 
unsafe void CopySection (NXOpen.Curve section, bool copyPlaneData)
 Copies addendum section in order to be pasted at another location. More...
 
unsafe NXOpen.Section CreateExtendSection ()
 Creates a NXOpen.Section object containing the extended constraint curve. More...
 
unsafe void CreateSection ()
 Create addendum section using previously supplied parameters. More...
 
unsafe void CreateSectionFromReuse (string fileName)
 Creates a section using the information stored in the reuse library. More...
 
unsafe void CutSection (NXOpen.Curve section, bool copyPlaneData)
 Cuts section in order to be pasted at another location. More...
 
unsafe void DefaultDraw ()
 Create default draw vector based upon the input product faces. More...
 
unsafe NXOpen.Section DeleteExtendSection ()
 Deletes the NXOpen.Section used for extended constraint curve. More...
 
unsafe void DeleteSections ()
 Delete addendum sections from NXOpen.Die.AddendumSectionBuilder.Sections . More...
 
unsafe void EditBlendSection (NXOpen.Curve section, double radius)
 Edit radius value of blend section. More...
 
unsafe void InitializeEditParameters (NXOpen.Curve section)
 Initializes environment to start editing parameters of a section. More...
 
unsafe void LockSegment (NXOpen.Curve section, NXOpen.Die.AddendumSectionBuilder.SegmentType segment, NXOpen.Die.AddendumSectionBuilder.SegmentParameterType type)
 Lock a segment parameter value. More...
 
unsafe void MirrorSections ()
 Mirror sections using plane from NXOpen.Die.AddendumSectionBuilder.MirrorPlane . More...
 
unsafe void MoveSectionOrigin (NXOpen.Curve section, NXOpen.Point3d newOrigin, int useSectionPlane)
 Moves addendum section to a new location. More...
 
unsafe void PasteSection ()
 Paste section. More...
 
unsafe void PasteSectionFromCurve (NXOpen.Curve curve)
 Creates a section by reading the section parameters from the input curve and pasting at the location specified by NXOpen.Die.AddendumSectionBuilder.SectionPoint More...
 
unsafe void RecreateSections ()
 Re-create all existing sections because of a change in the draw direction or product faces. More...
 
unsafe void Reinitialize ()
 Reinitialize the environment after changes to input data such as draw vector or product faces More...
 
unsafe void ReplaceConstraintCurve (NXOpen.Curve editedCurve)
 Replaces the constraint curve with an edited curve. More...
 
unsafe void ReplaceSectionCurve (NXOpen.Curve section)
 Replaces the current section with the edited one. More...
 
unsafe void ResetSection (NXOpen.Curve section)
 Resets the section to the last saved state. More...
 
unsafe void SmoothCurve ()
 Smooth the constraint curve using the radius supplied by NXOpen.Die.AddendumSectionBuilder.SmoothRadius . More...
 
unsafe void TerminateEditParameters (NXOpen.Curve section)
 Cleans up environment after editing parameters of a section. More...
 
unsafe void TranslateWall ()
 Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by NXOpen.Die.AddendumSectionBuilder.TranslateDistance . More...
 
unsafe void TrimExtendConstraintCurve (NXOpen.Section constraintCurve)
 Trims or extends constraint curve. More...
 
unsafe void UnlockSegment (NXOpen.Curve section, NXOpen.Die.AddendumSectionBuilder.SegmentType segment, NXOpen.Die.AddendumSectionBuilder.SegmentParameterType type)
 Unlock a segment parameter value. More...
 
unsafe void UpdateSection (NXOpen.Curve section)
 Updates section after editing segments via NXOpen.Die.AddendumSectionBuilder.UpdateSegment . More...
 
unsafe void UpdateSectionAttributes (NXOpen.Curve section)
 Updates the section attributes. More...
 
unsafe void UpdateSectionsAfterConstraintChange ()
 Called to update the section when constraint curve or constraint surface is changed. More...
 
unsafe double UpdateSegment (bool temporary, NXOpen.Curve section, NXOpen.Die.AddendumSectionBuilder.SegmentType segment, double lengthRadius, double angle)
 Updates length or angle value of a segment. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
Attributes [get]
 Returns the color and string attributes of the section. More...
 
unsafe NXOpen.Section ByCurves [get]
 Returns the curves used to approximate an addendum section. More...
 
unsafe NXOpen.ScCollector ConstraintCurve [get]
 Returns the constraint curve. More...
 
unsafe NXOpen.Curve ConstraintCurveToEdit [get]
 Returns the constraint curve to edit. More...
 
unsafe NXOpen.ScCollector ConstraintFaces [get]
 Returns the constraint faces. More...
 
unsafe NXOpen.Curve CurveToExtend [get, set]
 Returns or sets the constraint curve to extend. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Direction DrawDirection [get, set]
 Returns or sets the draw direction. More...
 
unsafe NXOpen.Curve EditedConstraintCurve [get, set]
 Returns or sets the edited constraint curve. More...
 
unsafe
NXOpen.GeometricUtilities.CurveLengthData 
ExtendData [get]
 Returns the object used to extend the constraint curve which is accessed via NXOpen.Die.AddendumSectionBuilder.ConstraintCurve . More...
 
unsafe NXOpen.Expression ExtendEndDistance [get]
 Returns the distance to extend the end of the constraint curve. More...
 
unsafe NXOpen.Expression ExtendStartDistance [get]
 Returns the distance to extend the start of the constraint curve. More...
 
unsafe double FacetDensity [get, set]
 Returns or sets the facet density. More...
 
unsafe NXOpen.Die.DieLimitsBuilder Limits [get]
 Returns the limits to control the span of the preview surface More...
 
unsafe
NXOpen.Die.AddendumSectionBuilder.SectionLocationType 
LocationType [get, set]
 Returns or sets the location where the section will be created. More...
 
unsafe NXOpen.Expression MaximumPositive [get]
 Returns the maximum positive trim angle. More...
 
unsafe NXOpen.Expression MinimumDraftAngle [get]
 Returns the minimum draft angle. More...
 
unsafe NXOpen.Expression MinimumNegative [get]
 Returns the minimum negative trim angle. More...
 
unsafe NXOpen.Expression MinimumRadius [get]
 Returns the minimum radius. More...
 
unsafe NXOpen.Expression MinimumTrimLedge [get]
 Returns the minimum trim ledge. More...
 
unsafe NXOpen.Plane MirrorPlane [get, set]
 Returns or sets the mirror plane. More...
 
unsafe NXOpen.Section NeutralCurve [get]
 Returns the neutral curve. More...
 
unsafe NXOpen.Expression PlusLength [get]
 Returns the minimum plus length. More...
 
unsafe NXOpen.ScCollector Product [get]
 Returns the product faces. More...
 
unsafe
NXOpen.Die.AddendumSectionBuilder.SectionOrientationType 
SectionOrientation [get, set]
 Returns or sets the section orientation. More...
 
unsafe NXOpen.Plane SectionPlane [get, set]
 Returns or sets the section plane. More...
 
unsafe NXOpen.Point SectionPoint [get, set]
 Returns or sets the origin point where the section will be located. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
Sections [get]
 Returns the addendum sections to edit. More...
 
unsafe
NXOpen.Die.AddendumSectionBuilder.SectionShapeType 
SectionShape [get, set]
 Returns or sets the section shape. More...
 
unsafe NXOpen.Expression SmoothRadius [get]
 Returns the smoothing radius for the constraint curve used by NXOpen.Die.AddendumSectionBuilder.SmoothCurve . More...
 
unsafe
NXOpen.Die.AddendumSectionBuilder.SurfaceBuildType 
SurfaceBuildMethod [get, set]
 Returns or sets the addendum surface build method. More...
 
unsafe NXOpen.Expression TranslateDistance [get]
 Returns the translate distance used by NXOpen.Die.AddendumSectionBuilder.TranslateWall . More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Die.AddendumSectionBuilder which is used to create or edit an addendum section.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateAddendumSectionBuilder

Created in NX7.5.0

Member Enumeration Documentation

The settings indicating the location of the section being created.

Enumerator
AtPoint 

Create section at a point.

AtPlane 

Create section at a plane.

WithCurve 

Create section by approximating curves.

The settings to indicate the section orientation.

Enumerator
Default 

Orient perpendicular to tangency curve.

ThreeDPerpendicular 

Orient 3D perpendicular to tangency curve

Conjugate 

Use conjugate orientation.

Isoparametric 

Orient along isoparametric line of closest face.

IncidentEdge 

Orient from incident edge.

Blank 

No orientation.

The settings to indicate the section shape.

Enumerator
Basic 

Section consists of all segments in a step like shape.

DrawBar 

Section consists of all segments in a draw bar shape.

Simple 

Section consists of trim ledge, punch radius, and second stretch wall segments.

Channel 

Section consists of all segments in a channel shape.

Blend 

Section consists of a single radius type segment to define the blend shape.

Extension 

Section consists of a plus segment only.

System 

Section shape determined by blending neighboring sections.

UserDefined 

Section shape is user defined.

Reuse 

Section shape is read from reuse library.

Blank 

No section shape.

The settings to indicate which parameter of the segment to lock.

Enumerator
Length 

The length parameter of a straight segment.

Angle 

The angle parameter of a straight segment.

Radius 

The radius parameter of an arc segment.

ArcLength 

The arc length parameter of an arc segment.

The settings to indicate the segment type to update.

Enumerator
Plus 

Update plus segment.

Punch 

Update punch segment.

FirstStretchWall 

Update first stretch wall segment.

Reverse 

Update reverse segment.

TrimLedge 

Update trim ledge segment.

DiePunch 

Update die punch segment.

SecondStretchWall 

Update second stretch wall segment.

DieReverse 

Update die reverse segment.

FlatToBead 

Update flat to bead segment.

The settings to indicate the surface type.

Enumerator
NoSurface 

Do not create a surface.

Sectional 

Create sectional sweep surface.

CurveMesh 

Create curve mesh surface.

ChannelTunnelCap 

Create channel tunnel cap surface.

MultipleFaceBlend 

Create multiple face blend surface.

WallsOnly 

Create walls only surface.

DiskFaceBlend 

Create disc blend surface.

SphereFaceBlend 

Create spherical blend surface.

Member Function Documentation

unsafe void NXOpen.Die.AddendumSectionBuilder.ChangeSectionPlane ( NXOpen.Curve  section,
NXOpen.Direction  plane 
)
inline

Changes the section orientation.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
planeNew section orientation plane.
unsafe void NXOpen.Die.AddendumSectionBuilder.CopySection ( NXOpen.Curve  section,
bool  copyPlaneData 
)
inline

Copies addendum section in order to be pasted at another location.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to copy.
copyPlaneDataIndicates whether to copy the orientation plane of the section.
unsafe NXOpen.Section NXOpen.Die.AddendumSectionBuilder.CreateExtendSection ( )
inline

Creates a NXOpen.Section object containing the extended constraint curve.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Returns
unsafe void NXOpen.Die.AddendumSectionBuilder.CreateSection ( )
inline

Create addendum section using previously supplied parameters.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.CreateSectionFromReuse ( string  fileName)
inline

Creates a section using the information stored in the reuse library.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
fileNamename of reuse library containing addendum section information
unsafe void NXOpen.Die.AddendumSectionBuilder.CutSection ( NXOpen.Curve  section,
bool  copyPlaneData 
)
inline

Cuts section in order to be pasted at another location.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to cut.
copyPlaneDataIndicates whether to copy the orientation plane of the section.
unsafe void NXOpen.Die.AddendumSectionBuilder.DefaultDraw ( )
inline

Create default draw vector based upon the input product faces.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Die.AddendumSectionBuilder.DeleteExtendSection ( )
inline

Deletes the NXOpen.Section used for extended constraint curve.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Returns
NXOpen.Section to delete.
unsafe void NXOpen.Die.AddendumSectionBuilder.DeleteSections ( )
inline

Delete addendum sections from NXOpen.Die.AddendumSectionBuilder.Sections .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.EditBlendSection ( NXOpen.Curve  section,
double  radius 
)
inline

Edit radius value of blend section.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionBlend section to edit.
radiusNew radius value.
unsafe void NXOpen.Die.AddendumSectionBuilder.InitializeEditParameters ( NXOpen.Curve  section)
inline

Initializes environment to start editing parameters of a section.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
unsafe void NXOpen.Die.AddendumSectionBuilder.LockSegment ( NXOpen.Curve  section,
NXOpen.Die.AddendumSectionBuilder.SegmentType  segment,
NXOpen.Die.AddendumSectionBuilder.SegmentParameterType  type 
)
inline

Lock a segment parameter value.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to update.
segmentSegment to update.
typeSegment parameter to lock.
unsafe void NXOpen.Die.AddendumSectionBuilder.MirrorSections ( )
inline

Mirror sections using plane from NXOpen.Die.AddendumSectionBuilder.MirrorPlane .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.MoveSectionOrigin ( NXOpen.Curve  section,
NXOpen.Point3d  newOrigin,
int  useSectionPlane 
)
inline

Moves addendum section to a new location.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to move.
newOriginPoint Coordinates of new origin.
useSectionPlaneNon-zero value indicates that the orientation plane of the section is to be kept when the section is moved.
unsafe void NXOpen.Die.AddendumSectionBuilder.PasteSection ( )
inline

Paste section.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.PasteSectionFromCurve ( NXOpen.Curve  curve)
inline

Creates a section by reading the section parameters from the input curve and pasting at the location specified by NXOpen.Die.AddendumSectionBuilder.SectionPoint

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curveSection to edit.
unsafe void NXOpen.Die.AddendumSectionBuilder.RecreateSections ( )
inline

Re-create all existing sections because of a change in the draw direction or product faces.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.Reinitialize ( )
inline

Reinitialize the environment after changes to input data such as draw vector or product faces

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.ReplaceConstraintCurve ( NXOpen.Curve  editedCurve)
inline

Replaces the constraint curve with an edited curve.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
editedCurveNew edited curve to replace existing constraint curve.
unsafe void NXOpen.Die.AddendumSectionBuilder.ReplaceSectionCurve ( NXOpen.Curve  section)
inline

Replaces the current section with the edited one.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
unsafe void NXOpen.Die.AddendumSectionBuilder.ResetSection ( NXOpen.Curve  section)
inline

Resets the section to the last saved state.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to reset.
unsafe void NXOpen.Die.AddendumSectionBuilder.SmoothCurve ( )
inline

Smooth the constraint curve using the radius supplied by NXOpen.Die.AddendumSectionBuilder.SmoothRadius .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.TerminateEditParameters ( NXOpen.Curve  section)
inline

Cleans up environment after editing parameters of a section.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionEdited section.
unsafe void NXOpen.Die.AddendumSectionBuilder.TranslateWall ( )
inline

Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by NXOpen.Die.AddendumSectionBuilder.TranslateDistance .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.AddendumSectionBuilder.TrimExtendConstraintCurve ( NXOpen.Section  constraintCurve)
inline

Trims or extends constraint curve.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
constraintCurveConstraint curve to modify
unsafe void NXOpen.Die.AddendumSectionBuilder.UnlockSegment ( NXOpen.Curve  section,
NXOpen.Die.AddendumSectionBuilder.SegmentType  segment,
NXOpen.Die.AddendumSectionBuilder.SegmentParameterType  type 
)
inline

Unlock a segment parameter value.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to update.
segmentSegment to update.
typeSegment parameter to unlock.
unsafe void NXOpen.Die.AddendumSectionBuilder.UpdateSection ( NXOpen.Curve  section)
inline

Updates section after editing segments via NXOpen.Die.AddendumSectionBuilder.UpdateSegment .

This makes permanent the temporary changes so that any future calls to NXOpen.Die.AddendumSectionBuilder.ResetSection will reset the section to this state.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection being edited.
unsafe void NXOpen.Die.AddendumSectionBuilder.UpdateSectionAttributes ( NXOpen.Curve  section)
inline

Updates the section attributes.

You must call NXOpen.Die.AddendumSectionBuilder.Attributes first in order to set the attributes to be updated.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
unsafe void NXOpen.Die.AddendumSectionBuilder.UpdateSectionsAfterConstraintChange ( )
inline

Called to update the section when constraint curve or constraint surface is changed.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.AddendumSectionBuilder.UpdateSegment ( bool  temporary,
NXOpen.Curve  section,
NXOpen.Die.AddendumSectionBuilder.SegmentType  segment,
double  lengthRadius,
double  angle 
)
inline

Updates length or angle value of a segment.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
temporaryIndicates that change to section is temporary in that NXOpen.Die.AddendumSectionBuilder.ResetSection can be called to undo changes.
sectionSection to update.
segmentSegment to update.
lengthRadiusValue for the new Length/Radius of the segment.
angleValue for the angle of the segment.
Returns
Computed flange length value.

Property Documentation

unsafe double NXOpen.Die.AddendumSectionBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.AddendumSectionBuilder.Attributes
get

Returns the color and string attributes of the section.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Die.AddendumSectionBuilder.ByCurves
get

Returns the curves used to approximate an addendum section.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Die.AddendumSectionBuilder.ConstraintCurve
get

Returns the constraint curve.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Curve NXOpen.Die.AddendumSectionBuilder.ConstraintCurveToEdit
get

Returns the constraint curve to edit.

This function will read the objects using NXOpen.Die.AddendumSectionBuilder.ConstraintCurve . and if needed create a non-associative curve to be used by the edit curve functions. The only case where it will not create a curve is if there is only one non-associative spline on the selection.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.AddendumSectionBuilder.ConstraintFaces
get

Returns the constraint faces.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Curve NXOpen.Die.AddendumSectionBuilder.CurveToExtend
getset

Returns or sets the constraint curve to extend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.AddendumSectionBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Direction NXOpen.Die.AddendumSectionBuilder.DrawDirection
getset

Returns or sets the draw direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Curve NXOpen.Die.AddendumSectionBuilder.EditedConstraintCurve
getset

Returns or sets the edited constraint curve.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.CurveLengthData NXOpen.Die.AddendumSectionBuilder.ExtendData
get

Returns the object used to extend the constraint curve which is accessed via NXOpen.Die.AddendumSectionBuilder.ConstraintCurve .

Need to call function NXOpen.Die.AddendumSectionBuilder.CreateExtendSection before calling this function.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.ExtendEndDistance
get

Returns the distance to extend the end of the constraint curve.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.ExtendStartDistance
get

Returns the distance to extend the start of the constraint curve.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.AddendumSectionBuilder.FacetDensity
getset

Returns or sets the facet density.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieLimitsBuilder NXOpen.Die.AddendumSectionBuilder.Limits
get

Returns the limits to control the span of the preview surface

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.AddendumSectionBuilder.SectionLocationType NXOpen.Die.AddendumSectionBuilder.LocationType
getset

Returns or sets the location where the section will be created.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.MaximumPositive
get

Returns the maximum positive trim angle.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.MinimumDraftAngle
get

Returns the minimum draft angle.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.MinimumNegative
get

Returns the minimum negative trim angle.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.MinimumRadius
get

Returns the minimum radius.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.MinimumTrimLedge
get

Returns the minimum trim ledge.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Die.AddendumSectionBuilder.MirrorPlane
getset

Returns or sets the mirror plane.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Die.AddendumSectionBuilder.NeutralCurve
get

Returns the neutral curve.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.PlusLength
get

Returns the minimum plus length.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Die.AddendumSectionBuilder.Product
get

Returns the product faces.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.AddendumSectionBuilder.SectionOrientationType NXOpen.Die.AddendumSectionBuilder.SectionOrientation
getset

Returns or sets the section orientation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Plane NXOpen.Die.AddendumSectionBuilder.SectionPlane
getset

Returns or sets the section plane.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Die.AddendumSectionBuilder.SectionPoint
getset

Returns or sets the origin point where the section will be located.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Die.AddendumSectionBuilder.Sections
get

Returns the addendum sections to edit.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.AddendumSectionBuilder.SectionShapeType NXOpen.Die.AddendumSectionBuilder.SectionShape
getset

Returns or sets the section shape.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.SmoothRadius
get

Returns the smoothing radius for the constraint curve used by NXOpen.Die.AddendumSectionBuilder.SmoothCurve .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.AddendumSectionBuilder.SurfaceBuildType NXOpen.Die.AddendumSectionBuilder.SurfaceBuildMethod
getset

Returns or sets the addendum surface build method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.AddendumSectionBuilder.TranslateDistance
get

Returns the translate distance used by NXOpen.Die.AddendumSectionBuilder.TranslateWall .

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.